#!/usr/bin/perl -w -I /home/httpd/cgi-bin/doc_lib_b3/_lib -I /home/httpd/cgi-bin/doc_lib_b3/_sal -I /home/httpd/cgi-bin/doc_lib_b3/_cgi_lib -I /home/httpd/cgi-bin/doc_lib_b3/_config -I /home/httpd/cgi-bin/doc_lib_b3/_Admin_Tool

# -----------------------------------------------------------------------------
use strict;

use CGI;
use CGI::Carp qw(fatalsToBrowser);

use client_bits;
use cookies;
use exceptions;

use admin_add_a_tree;

# -----------------------------------------------------------------------------
# INIT :

my $query = new CGI;
    # ...get pointer to CGI ENV, then extract stuff :

my $README      = $query->param('README');
my $DENY        = $query->param('DENY');
my $ALLOW       = $query->param('ALLOW');
my $NEWTREE     = $query->param('NEWTREE');
my $ACTUALLYADD = $query->param('ACTUALLYADD');

# -----------------------------------------------------------------------------
# -- BEGIN HTML/PAGE :

&begin_html("", "Admin-Tool:  Add a User");
&print_simple_header();


# -----------------------------------------------------------------------------
# -- VALIDATE :

unless (&valid_admin_cookie()) {
    &raise_logout_exception("invalid_cookie")
  }


# -----------------------------------------------------------------------------
# -- ACTUALLY DO STUFF :

if ($ACTUALLYADD eq "yes") {
    &actually_add_tree($README, $DENY, $ALLOW, $NEWTREE);
  }
else {
    &print_add_tree_form();
  }


# -----------------------------------------------------------------------------
# -- TEA-TIME :

&print_std_footer;
&end_html;

# -----------------------------------------------------------------------------
