#!/usr/bin/perl -w -I ../_lib -I ../_sal -I ../_config -I ../_cgi_lib

# -----------------------------------------------------------------------------
use strict;

use CGI;
use CGI::Carp qw(fatalsToBrowser);

use client_bits;
use cookies;
use exceptions;

##use admin_add_a_user;
use admin_passwd;

# -----------------------------------------------------------------------------
# INIT :

my $query = new CGI;
    # ...get pointer to CGI ENV, then extract stuff :

my $TREE        = $query->param('TREE');
my $USERNAME    = $query->param('USERNAME');
my $NEWUSERNAME = $query->param('NEWUSERNAME');
my $PASSWORD    = $query->param('PASSWORD');
my $REALNAME    = $query->param('REALNAME');
my $PWORDFILE   = $query->param('PWORDFILE');
my $GROUPS      = $query->param('GROUPS');
my $ACTUALLYADD = $query->param('ACTUALLYADD');


# -----------------------------------------------------------------------------
# -- BEGIN HTML/PAGE :

&begin_html("", "Admin-Tool:  Add a User");
&print_simple_header();


# -----------------------------------------------------------------------------
# -- VALIDATE :

unless (&valid_admin_cookie()) {
    &raise_logout_exception("invalid_cookie")
  }


# -----------------------------------------------------------------------------
# -- ACTUALLY DO STUFF :

if ($ACTUALLYADD eq "yes") {
    &actually_add_user($NEWUSERNAME, $PASSWORD, $REALNAME, 
                       $PWORDFILE, $GROUPS, 
                       $USERNAME, $TREE);
  }
else {
    &print_add_user_form($USERNAME, $TREE);
  }


# -----------------------------------------------------------------------------
# -- TEA-TIME :

&print_std_footer;
&end_html;
# -----------------------------------------------------------------------------

