#!/usr/bin/perl -w -I ../_lib -I ../_sal -I ../_config -I ../_cgi_lib

# -----------------------------------------------------------------------------
use strict;

use CGI;
use CGI::Carp qw(fatalsToBrowser);

use client_bits;
use cookies;
use exceptions;

use admin_change_permissions_cdf;

# -----------------------------------------------------------------------------
# INIT :

my $query = new CGI;
    # ...get pointer to CGI ENV, then extract stuff :

my $TREE           = $query->param('TREE');
my $USERNAME       = $query->param('USERNAME');
my $CDF            = $query->param('CDF');
my $SELECTCDF      = $query->param('SELECTCDF');
my $PRINTFORM      = $query->param('PRINTFORM');
my $ALLOW          = $query->param('ALLOW');
my $DENY           = $query->param('DENY');
my $ACTUALLYCHANGE = $query->param('ACTUALLYCHANGE');


# -----------------------------------------------------------------------------
# -- BEGIN HTML/PAGE :

&begin_html("", "Admin-Tool:  Add a User");
&print_simple_header();


# -----------------------------------------------------------------------------
# -- VALIDATE :

unless (&valid_admin_cookie()) {
    &raise_logout_exception("invalid_cookie")
  }


# -----------------------------------------------------------------------------
# -- ACTUALLY DO STUFF :

if ($SELECTCDF eq "yes") {
    &print_select_cdf_form($USERNAME, $TREE);
  }
elsif ($ACTUALLYCHANGE eq "yes") {
    &actually_change($USERNAME, $TREE, $CDF, $ALLOW, $DENY);
  }
elsif ($PRINTFORM) {
    &print_change_form($USERNAME, $TREE, $CDF);
  }
else {
    &print_else_message();
  }


# -----------------------------------------------------------------------------
# -- TEA-TIME :

&print_std_footer;
&end_html;
# -----------------------------------------------------------------------------


