#!/usr/bin/perl -w -I ../_lib -I ../_sal -I ../_config -I ../_cgi_lib

# -----------------------------------------------------------------------------
use strict;

use CGI;
use CGI::Carp qw(fatalsToBrowser);

use client_bits;
use cookies;
use exceptions;

##use admin_groups;
use admin_passwd;

# -----------------------------------------------------------------------------
# INIT :

my $query = new CGI;
    # ...get pointer to CGI ENV, then extract stuff :

my $TREE       = $query->param('TREE');
my $USERNAME   = $query->param('USERNAME');
my $AGACTION   = $query->param('AGACTION');
my $GROUP      = $query->param('GROUP');
my $NEWGROUP   = $query->param('NEWGROUP');
my $SELGROUP   = $query->param('SELGROUP');
my $NEWGRPCOMM = $query->param('NEWGRPCOMM');

my @GRP_USR_RM_LIST  = $query->param('REMOVE');
my @GRP_USR_ADD_LIST = $query->param('ADD');


# -----------------------------------------------------------------------------
# -- BEGIN HTML/PAGE :

&begin_html("", "Play in Groups");
&print_simple_header();


##print "\n<BR> t: $TREE";
##print "\n<BR> u: $USERNAME";
##print "\n<BR> a: $AGACTION";
##foreach (@GRP_USR_RM_LIST) {
##    print "\n<BR> r: $_";
##  }
##foreach (@GRP_USR_ADD_LIST) {
##    print "\n<BR> r: $_";
##  }
##print "\n<BR><BR>";


# -----------------------------------------------------------------------------
# -- VALIDATE :

unless (&valid_admin_cookie()) {
    &raise_logout_exception("invalid_cookie")
  }


# -----------------------------------------------------------------------------
# -- ACTUALLY DO STUFF :

if ($AGACTION eq "addgroup") {
    &add_group($TREE, $USERNAME, $NEWGROUP, $NEWGRPCOMM);
  }
elsif ($AGACTION eq "selectremovegroupsusers") {
    &select_remove_groups_users($TREE, $USERNAME);
  }
elsif ($AGACTION eq "removegroupsusers") {
    &remove_groups_users($TREE, $USERNAME, $SELGROUP);
  }
elsif ($AGACTION eq "actuallyremovegroupsusers") {
    &actually_remove_groups_users($TREE, $USERNAME, $GROUP, \@GRP_USR_RM_LIST);
  }
elsif ($AGACTION eq "selectaddgroupsusers") {
    &select_add_groups_users($TREE, $USERNAME);
  }
elsif ($AGACTION eq "addgroupsusers") {
    &add_groups_users($TREE, $USERNAME, $SELGROUP);
  }
elsif ($AGACTION eq "actuallyaddgroupsusers") {
    &actually_add_groups_users($TREE, $USERNAME, $GROUP, \@GRP_USR_ADD_LIST);
  }
else {
    &print_add_group_form($TREE, $USERNAME, $GROUP);
  }

# -----------------------------------------------------------------------------
# -- TEA-TIME :

&print_std_footer;
&end_html;
# -----------------------------------------------------------------------------
