#!/usr/bin/perl -w -I ../_lib -I ../_sal -I ../_config -I ../_cgi_lib

# -----------------------------------------------------------------------------
use strict;

use CGI;
use CGI::Carp qw(fatalsToBrowser);

use client_bits;
use cookies;
use exceptions;

use Tree;

use admin_view_tree;


# -----------------------------------------------------------------------------
# INIT :

my $query = new CGI;
    # ...get pointer to CGI ENV, then extract stuff :

my $TREE = $query->param('TREE');


# -----------------------------------------------------------------------------
# -- BEGIN HTML/PAGE :

&begin_html("", "Admin-Tool:  View Tree");
&print_simple_header();


# -----------------------------------------------------------------------------
# -- VALIDATE :

unless (&valid_admin_cookie()) {
    &raise_logout_exception("invalid_cookie")
  }


# -----------------------------------------------------------------------------
# -- ACTUALLY DO STUFF :

&print_tree($TREE);


# -----------------------------------------------------------------------------
# -- TEA-TIME :

&print_std_footer;
&end_html;
# -----------------------------------------------------------------------------
