# -----------------------------------------------------------------------------
package lf_mod;
# -----------------------------------------------------------------------------

# -----------------------------------------------------------------------------
# History :
# 
# -- 2000 Dec 04: 
#          
#    login_form script slave module
# 
# -----------------------------------------------------------------------------

use strict;
use vars qw(@ISA @EXPORT);

# -----------------------------------------------------------------------------

use config;

# -----------------------------------------------------------------------------

require Exporter;

# -----------------------------------------------------------------------------

@ISA    = qw(Exporter);
@EXPORT = qw(form_text
             motd_and_refresh_text);


my $cgi_root_dir = &cgi_root_dir;
my $default_view = &default_view;


# -----------------------------------------------------------------------------
# -- EXPORT :


sub motd_and_refresh_text() {

  my $TREE     = shift;
  my $USERNAME = shift;
  my $REALNAME = shift;

    my $string   = "";
    my $textline = "";

    # -- get message-of-the-day : ---------------------------------------------

    my $motd = "";
    open(MOTD, "ETC/motd.html_src");
    while($textline = <MOTD>) {
        $motd .= $textline;
      }
    close(MOTD);


    $string .= "<BR><BR>";
    $string .= "<BIG><B>Logged in ok!</B></BIG>";
    $string .= "<BR><BR>";
    $string .= "<BIG>";
    $string .= "You will shortly be refreshed to the navigation page" 
        . "<FONT FACE=\"courier\">...</FONT>"
        . "<META HTTP-EQUIV=\"refresh\" content=\"10; "
              . "URL=" . $cgi_root_dir . "navigate.pl\?" 
              . "NAVIGATE=NAVIGATE\&"
              . "VIEW\=" . &default_view . "\&"
              . "LOCATION\=/\&" 
              . "TREE\=$TREE\&"
              . "USERNAME\=$USERNAME\&"  
              . "REALNAME\=$REALNAME"  
        . "\">";
    $string .= "<A HREF=\"" . $cgi_root_dir . "navigate.pl\?" 
                       . "NAVIGATE=NAVIGATE\&"
                       . "VIEW\=" . &default_view . "\&"
                       . "LOCATION\=/\&" 
                       . "TREE\=$TREE\&"
                       . "USERNAME\=$USERNAME\&" 
                       . "REALNAME\=$REALNAME" 
        . "\">click here</A> to go immediately.\n";
    $string .= "<BR><BR><HR ALIGN=\"center\" WIDTH=\"50%\"><BR>";
    $string .= "The message of the day:</BIG>";
    $string .= "<BR><BR>";
    $string .= "<CENTER>";
    $string .= "$motd";
    $string .= "\n</CENTER>\n\n";

    return $string; 
  }


# -----------------------------------------------------------------------------


sub form_text {
    
    my $string = "";

    # -- initialise : ---------------------------------------------------------

    my @a_trees       = &available_trees;

    my $tree_selector = "<B>Available Trees: </B>";

    $tree_selector .= "<SELECT NAME=\"TREE\" SIZE=1>\n";
    foreach (@a_trees) {$tree_selector .= "<OPTION>$_\n";}
    $tree_selector .= "</SELECT>\n"; 


    # -- print the main form body : -------------------------------------------

    $string = <<"EEOOFF";

<!------------------------------------------------------------------------>
<B>
<!------------------------------------------------------------------------>

<BR><BR>

<H1>UMIST Doc-U-Lib</H1>

<BR>
To access these files you must have a username and password.  
Please contact<FONT FACE="courier">...</FONT>

<!------------------------------------------------------------------------>
<FORM NAME="camelform" METHOD="POST" 
      ACTION="login.pl">
<!------------------------------------------------------------------------>

<BR>

<TABLE BORDER=0 WIDTH="100%">
  <TR>
    <TD VALIGN="TOP" WIDTH="10%">
      <B>Username:</B>
    </TD><TD>
      <INPUT TYPE="text" NAME="USERNAME" SIZE="15" maxlength="60">
      <BR>
    </TD><TD VALIGN="TOP">
      $tree_selector
    </TD>
  </TR><TR>
    <TD VALIGN="TOP">
      <B>Password:</B>
    </TD><TD>
      <INPUT TYPE="password" NAME="PASSWORD" SIZE="15" maxlength="60">
        <BR><BR>
    </TD>
  </TR><TR>
    <TD>
      <INPUT TYPE=submit VALUE="Enter...">
    </TD><TD></TD>
  </TR>
</TABLE>

<INPUT TYPE="hidden" NAME="LOCATION" VALUE="/">
<INPUT TYPE="hidden" NAME="NEWBIE" VALUE="yes">
<INPUT TYPE="hidden" NAME="VIEW" VALUE="$default_view">

<!------------------------------------------------------------------------>
</FORM>
<!------------------------------------------------------------------------>
</B>
<!------------------------------------------------------------------------>
 
EEOOFF

    return $string;
 }


# -----------------------------------------------------------------------------
1;
# -----------------------------------------------------------------------------
